CreateMalwareExposure
Creates a MalwareExposure object.
curl --request POST \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/malware-exposure \
--header 'Content-Type: application/json' \
--data '
{
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": [
"<string>"
]
},
"spec": {
"ecosystem": "ECOSYSTEM_UNSPECIFIED",
"malware_uuid": "<string>"
},
"tenant_meta": {}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/malware-exposure"
payload = {
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": ["<string>"]
},
"spec": {
"ecosystem": "ECOSYSTEM_UNSPECIFIED",
"malware_uuid": "<string>"
},
"tenant_meta": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
meta: {
name: '<string>',
annotations: {},
description: '<string>',
index_data: {},
parent_kind: '<string>',
parent_uuid: '<string>',
tags: ['<string>']
},
spec: {ecosystem: 'ECOSYSTEM_UNSPECIFIED', malware_uuid: '<string>'},
tenant_meta: {}
})
};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/malware-exposure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"ecosystem": "ECOSYSTEM_UNSPECIFIED",
"malware_uuid": "<string>"
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Body
Namespace exposure for a given Malware package. The presence of this object indicates that at least one project in the Namespace is, or was, potentially affected by the referenced Malware. If all affected projects are in child namespaces, then there are no MalwareExposure objects in the parent namespace. Use traverse to include MalwareExposure objects from child namespaces. The meta.name field contains the fully qualified package name of the Malware package. For example, "npm://package-name".
Response
A successful response.
Namespace exposure for a given Malware package. The presence of this object indicates that at least one project in the Namespace is, or was, potentially affected by the referenced Malware. If all affected projects are in child namespaces, then there are no MalwareExposure objects in the parent namespace. Use traverse to include MalwareExposure objects from child namespaces. The meta.name field contains the fully qualified package name of the Malware package. For example, "npm://package-name".
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Object specific data for MalwareExposure.
Show child attributes
Show child attributes
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
UUID of the MalwareExposure object.
Was this page helpful?
